RDKit: RDKit::Descriptors::Properties Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
RDKit::Descriptors::Properties Class Reference

Holds a collection of properties for computation purposes. More...

`#include <Property.h>`

## Public Member Functions
| Properties ()
| Properties (const std::vector< std::string > &propNames)
std::vector< std::string > | getPropertyNames () const
std::vector< double > | computeProperties (const RDKit::ROMol &mol, bool annotate=false) const
void | annotateProperties (RDKit::ROMol &mol) const

## Static Public Member Functions
static int | registerProperty (PropertyFunctor *ptr)
| Register a property function - takes ownership.
static int | registerProperty (boost::shared_ptr< PropertyFunctor > prop)
static boost::shared_ptr< PropertyFunctor > | getProperty (const std::string &name)
static std::vector< std::string > | getAvailableProperties ()

## Static Public Attributes
static std::vector< boost::shared_ptr< PropertyFunctor > > | registry

## Protected Attributes
std::vector< boost::shared_ptr< PropertyFunctor > > | m_properties

## Detailed Description

Holds a collection of properties for computation purposes.

Definition at line 73 of file Property.h.

## Constructor & Destructor Documentation

## ◆ Properties() [1/2]

RDKit::Descriptors::Properties::Properties | ( |  | ) |

## ◆ Properties() [2/2]

RDKit::Descriptors::Properties::Properties | ( | const std::vector< std::string > & | propNames | ) |

## Member Function Documentation

## ◆ annotateProperties()

void RDKit::Descriptors::Properties::annotateProperties | ( | RDKit::ROMol & | mol | ) | const

## ◆ computeProperties()

std::vector< double > RDKit::Descriptors::Properties::computeProperties | ( | const RDKit::ROMol & | mol,
|  | bool | annotate = false ) const

## ◆ getAvailableProperties()

static std::vector< std::string > RDKit::Descriptors::Properties::getAvailableProperties | ( |  | ) |
| static

## ◆ getProperty()

static boost::shared_ptr< PropertyFunctor > RDKit::Descriptors::Properties::getProperty | ( | const std::string & | name | ) |
| static

Referenced by RDKit::Descriptors::makePropertyQuery().

## ◆ getPropertyNames()

std::vector< std::string > RDKit::Descriptors::Properties::getPropertyNames | ( |  | ) | const

## ◆ registerProperty() [1/2]

static int RDKit::Descriptors::Properties::registerProperty | ( | boost::shared_ptr< PropertyFunctor > | prop | ) |
| static

## ◆ registerProperty() [2/2]

static int RDKit::Descriptors::Properties::registerProperty | ( | PropertyFunctor * | ptr | ) |
| static

Register a property function - takes ownership.

## Member Data Documentation

## ◆ m_properties

std::vector<boost::shared_ptr<PropertyFunctor> > RDKit::Descriptors::Properties::m_properties
| protected

Definition at line 75 of file Property.h.

## ◆ registry

std::vector<boost::shared_ptr<PropertyFunctor> > RDKit::Descriptors::Properties::registry
| static

Definition at line 92 of file Property.h.

The documentation for this class was generated from the following file:

- Property.h